Skip to content
The API may change between versions while TTX-Zone is 0.x.

Confirm email MFA

POST
/api/v1/auth/mfa/email/enable/confirm
curl --request POST \
--url https://example.com/api/v1/auth/mfa/email/enable/confirm \
--header 'Content-Type: application/json' \
--header 'X-CSRF-Token: <X-CSRF-Token>' \
--cookie ttx_access_token=<ttx_access_token> \
--data '{ "code": "example" }'

Turn on the second factor by email with the code sent to the address.

Media typeapplication/json
EmailMfaConfirmRequest
object
code
required
Code
string
>= 6 characters <= 6 characters

Example generated

{
"code": "example"
}

Successful Response

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string

Example generated

{
"detail": [
{
"ctx": {},
"input": "example",
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}